QGIS Application - Feature request #2340

Login and password for WMS servers don't deleted when removing connection

2010-01-03 04:01 AM - Alexander Bruy

Status: Closed

Priority: Low

Assignee: Marco Hugentobler

Category: Web Services clients/WMS

Pull Request or Patch supplied: Resolution:

Easy fix?: No Copied to github as #: 12400
Description

When deleting WMS connection the login and password are not deleted from settings. For reproduce:

- create a new WMS connection and fill all fields including username and password
- look in settings (registry or file). There are two groups in settings:
Qgis/connections-wms/<connection hame> group with server URL and /Qgis/WMS/<connection name> group with username

and password

- delete this new connection and look in settings again. The /Qgis/WMS/<connection name> group with username and password is

not deleted

History

#1 - 2010-03-12 08:18 AM - Marco Hugentobler
- Resolution set to fixed
- Status changed from Open to Closed

This patch seems to be already applied, so I'm closing the ticket

#2 - 2010-03-12 08:28 AM - Jiirgen Fischer

Replying to [comment:1 mhugent]:

This patch seems to be already applied, so I'm closing the ticket

FTR the patch was part of #2341.
